<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('call_center_source_summaries', function (Blueprint $table) {
            $table->id();
            $table->string('user_id');
            $table->string('callcenter_id')->nullable();
            $table->string('content')->nullable();
            $table->integer('length')->default(0);
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('call_center_source_summaries');
    }
};
